/*
 * Copyright (C) 2012-2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "config.h"
#include "addressbookapp.h"
#include "simcardutils.h"

// Qt
#include <QCoreApplication>
#include <QLocale>
#include <QDebug>

int main(int argc, char** argv)
{
    QCoreApplication::setOrganizationName("Canonical");
    QCoreApplication::setOrganizationDomain("canonical.com");
    QCoreApplication::setApplicationName("Address Book App");

    AddressBookApp application(argc, argv);
    SIMCardUtils sutils;
    qDebug() << sutils.formatPhoneNumberToCall("08187042144", "BR", "21", "81");
    qDebug() << sutils.formatPhoneNumberToCall("87042144", "BR", "21", "81");
    qDebug() << sutils.formatPhoneNumberToCall("8893084248", "BR", "21", "81");

    if (!application.setup()) {
        return 0;
    }

    return application.exec();
}

