/*
 * Copyright (C) 2012-2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SIMCARDUTILS_H
#define SIMCARDUTILS_H

#include <QObject>
#include <QScopedPointer>
#include <QEvent>
#include <QDBusInterface>


class SIMCardUtils : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString operatorName READ operatorName NOTIFY operatorNameChanged)

public:
    SIMCardUtils(QObject *parent=0);

Q_SIGNALS:
    void operatorNameChanged();

public Q_SLOTS:
    QString operatorName() const;

    QString formatPhoneNumberToCall(const QString &phoneNumber,
                                    const QString &defaultRegion,
                                    const QString &carrierCode,
                                    const QString &mySatePrefix,
                                    bool useOperatorForNonLocalNumbers = true,
                                    bool removePrefixFromLocalNumbers = true);

protected:
    bool eventFilter(QObject *obj, QEvent *ev);

private:
    QScopedPointer<QDBusInterface> m_ofonoModem;
    QString m_operatorName;
    QString m_status;

    bool isRoaming() const;


};

#endif
